Agara

Get market by id

GET/api/v1/markets/{id}

Fetch a single market by its UUID, with its state and full outcomes. Same shape as an element of the event-detail markets[]. 404 when no non-archived market with that id exists.

Path Parameters

id*string

Market UUID (agara_markets.id).

Formatuuid

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/api/v1/markets/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "string",  "state": "DRAFT",  "exchange": "AGARA",  "slug": "string",  "question": "string",  "display_type": "BINARY",  "source_market_type": "string",  "outcomes": [    {      "id": "string",      "index": 0,      "label": "string",      "price_micro": "string",      "token_id": "string",      "best_bid_micro": "string",      "best_ask_micro": "string",      "spread_micro": "string",      "kind": "team_home",      "short_label": "string",      "team_side": "home",      "side": "left",      "threshold": 0,      "resolution_price_micro": "string",      "bet_slip_title": "string",      "resolution_label": "string",      "display": {        "label": "string",        "kind": "team_home",        "short_label": "string",        "team_side": "home",        "side": "left",        "threshold": 0,        "bet_slip_title": "string",        "resolution_label": "string",        "agara_cms": {          "property1": null,          "property2": null        }      }    }  ],  "is_accepting_orders": true,  "halted_at": "string",  "halted_reason": "string",  "volume_micro": "string",  "liquidity": "string",  "volume_24h_micro": "string",  "tick_size_micro": "string",  "engine_config": {    "tick_size": 0,    "price_scale": 0,    "size_scale": 0,    "min_price": 0,    "max_price": 0  },  "min_order_size_micro": "string",  "line": "string",  "resolution_status": "DISPUTED",  "resolution_outcome": "string",  "resolved_at": "string",  "resolution": {    "source": "string",    "reference_value": "string",    "observed_value": "string",    "observed_at": "string"  },  "archived_at": "string",  "condition_id": "string",  "neg_risk_id": "string",  "three_way_role": "home",  "is_three_way": true,  "game_number": 0,  "display_label": "string",  "lp_incentive": {    "pool_micro": "string",    "max_spread_micro": 0,    "min_shares_micro": "string"  },  "display": {    "image_url": "string",    "portfolio_title": "string",    "description": "string",    "resolution_source": "string",    "resolution_criteria": "string",    "resolution_sources": [      {        "title": "string",        "url": "string"      }    ],    "player_name": "string",    "stat_type": "string",    "liquidity": 0,    "cadence_seconds": 0,    "series_color": "string",    "reference_price": "string",    "currency": "string",    "reference_at": "string",    "observe_at": "string",    "band_index": 0,    "band_lower": "string",    "band_upper": "string",    "band_label": "string",    "pyth_feed_id": "string",    "pyth_benchmark_symbol": "string",    "tradingview_symbol": "string",    "pyth_pro_symbol": "string",    "security_symbol": "string",    "security_provider": "string",    "game_number": 0,    "is_three_way": true,    "three_way_role": "home",    "display_label": "string",    "agara_cms": {      "property1": null,      "property2": null    }  }}